Quassel IRC - Feature #258

Please make backlog searchable from client
08/06/2008 11:21 PM - jussiO1

Status: Confirmed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

0S: Any

Description

Id love to have a channel specific search - so that you can click a channel, then in the search bar type a string and search all f the
channels backlog. also with an advanced feature so you can limit times and dates etc.

Related issues:

Related to Quassel IRC - Feature #794: Search 'More..." Confirmed 08/31/2009
Has duplicate Quassel IRC - Feature #449: Add a strong professional search di... Closed

Has duplicate Quassel IRC - Bug #1330: server-side log search in core Closed 01/06/2015
History

#1 - 08/06/2008 11:53 PM - Sputnick

Yes, that is definitely planned.

#2 - 12/22/2009 01:37 PM - DevUrandom
- OS set to Any

This is actually a request for server-side search? l.e. entering a search term in the client should make the server search in the complete backlog for
the phrase, opposed to the current behaviour where the client only searches in that part of the backlog it received already?

#3 - 06/22/2014 02:45 PM - seezer
- Status changed from New to Assigned

- Assignee set to seezer

| have a working early version of such a thing. Probably good enough to hand it out for eager testers soon.

As this is a pretty invasive endeavor (i'm at 57 files changed, 1201 insertions(+), 65 deletions(-)), it will take some time for polishing and testing.
And probably way more (if ever) until it hits upstream.

If anyone is interested in playing/helping with that, hit me up on irc or here.

#4 - 05/21/2015 02:47 PM - al

- Has duplicate Bug #1330: server-side log search in core added

#5 - 05/30/2015 01:37 PM - seezer
- Status changed from Assigned to Confirmed

- Assignee deleted (seezer)

As stated by project lead, "quassel-ng" will be radically different and such work should be postponed until then.

#6 - 05/30/2015 01:42 PM - seezer
- Related to Feature #794: Search 'More..."' added
